The Free and Open Productivity Suite
Apache OpenOffice 4.1.5 released


Integer Overflow vulnerability in rtl_allocateMemory()

1. Impact

A security vulnerability in the custom memory allocation function from may lead to heap overflows and allow a remote unprivileged user who provides a document that is opened by a local user to execute arbitrary commands on the system with the privileges of the user running No working exploit is known right now.

2. Affected releases

All versions between 2.0 and 2.4 inclusive.

3. Symptoms

There are no predictable symptoms that would indicate this issue has occurred

4. Relief/Workaround

There is no workaround. See "Resolution" below.

5. Resolution

This issue is addressed in the following release: 2.4.1

Security Home -> Bulletin -> CVE-2008-2152

6. Comments acknowledges with thanks, an anonymous researcher working with the iDefense VCP.

Apache Software Foundation

Copyright & License | Privacy | Contact Us | Donate | Thanks

Apache and the Apache feather logo are trademarks of The Apache Software Foundation. OpenOffice, and the seagull logo are registered trademarks of The Apache Software Foundation. Other names appearing on the site may be trademarks of their respective owners.